For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Logo
Resources
Log inGet a demo
Get startedAPI referenceImplementation
Get startedAPI referenceImplementation
    • Overview
        • Field Mapping
          • GET/field-mappings
          • POST/field-mappings
          • DEL/field-mappings/{field_mapping_id}
          • PATCH/field-mappings/{field_mapping_id}
          • GET/remote-fields
          • GET/target-fields
UnifiedAgent HandlerGateway
UnifiedAgent HandlerGateway
Resources
Log inGet a demo
Linked AccountField Mapping

/field-mappings/{field_mapping_id}

DELETE
/knowledgebase/v1/field-mappings/:field_mapping_id
DELETE
/api/knowledgebase/v1/field-mappings/:field_mapping_id
$curl -X DELETE https://api.merge.dev/api/knowledgebase/v1/field-mappings/field_mapping_id \
> -H "X-Account-Token: X-Account-Token" \
> -H "Authorization: Bearer <token>"
204No Content
1{
2 "model": {
3 "id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
4 "is_integration_wide": true,
5 "target_field": {
6 "name": "example_target_field_name",
7 "description": "this is a example description of a target field",
8 "is_organization_wide": true
9 },
10 "remote_field": {
11 "remote_key_name": "example_remote_field_key",
12 "schema": {
13 "type": "string"
14 },
15 "remote_endpoint_info": {
16 "method": "GET",
17 "url_path": "/example-url-path",
18 "field_traversal_path": [
19 "example_remote_field_key"
20 ]
21 }
22 },
23 "jmes_path": "[0].example_jmes_path"
24 },
25 "warnings": [
26 {
27 "title": "Unrecognized Field",
28 "detail": "An unrecognized field, age, was passed in with request data.",
29 "problem_type": "UNRECOGNIZED_FIELD",
30 "source": {
31 "pointer": "/age"
32 },
33 "block_merge_link": true
34 }
35 ],
36 "errors": [
37 {
38 "title": "Missing Required Field",
39 "detail": "custom_fields is a required field on model.",
40 "problem_type": "MISSING_REQUIRED_FIELD",
41 "source": {
42 "pointer": "/model/custom_fields"
43 },
44 "block_merge_link": true
45 }
46 ],
47 "logs": [
48 {
49 "log_id": "99433219-8017-4acd-bb3c-ceb23d663832",
50 "dashboard_view": "https://app.merge.dev/logs/99433219-8017-4acd-bb3c-ceb23d663832",
51 "log_summary": {
52 "url": "www.exampleintegration.com/api/exampleapi",
53 "method": "POST",
54 "status_code": 200
55 }
56 }
57 ]
58}

Deletes Field Mappings for a Linked Account. All data related to this Field Mapping will be deleted and these changes will be reflected after the next scheduled sync. This will cause the next sync for this Linked Account to sync ALL data from start.

Was this page helpful?
Previous

/field-mappings

Next

/field-mappings/{field_mapping_id}

Built with

Authentication

AuthorizationBearer

Token-based authentication with required prefix “Bearer”

Path parameters

field_mapping_idstringRequiredformat: "uuid"

Headers

X-Account-TokenstringRequired
Token identifying the end user.

Response

modelobject
warningslist of objects
errorslist of objects
logslist of objects